#!/usr/bin/env python

import sys

# try and import our helper libraries
sys.path.append('../lib')
sys.path.reverse()
from ddd.entries import entries
from ddd.factories.xmllibFactory import xmllibFactory
from ddd.gui import glade

if __name__ == "__main__":
    xmllib = xmllibFactory.create('libxml2')
    xmllib = xmllib()

    entries = entries('/Users/nknouf/Development/ddd/doc/schemas/ddd.xml', xmllib=xmllib)
    #entries = entries('/Users/nknouf/Development/ddd/lib/tests/test_data/test.xml', xmllib=xmllib)

    gui = glade.gui(entries)
    glade.run(gui)
