#
# Some extended information about the module
#
# Copyright (C) 2004 nick knouf <nknouf@desnak.com>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: exceptions.py,v 1.4 2004/10/12 00:57:51 commit Exp $

__author__ = "Nick Knouf <nknouf@mimeme.net>"
__version__ = "$Revision: 1.4 $"
__date__ = "$Date: 2004/10/12 00:57:51 $"
__copyright__ = "Copyright (c) 2004 desnak"
__license__ = "GPL2"

import exceptions

class NeedXMLTreeError(Exception): pass
class NoNodesFoundError(Exception): pass
class DuplicateIDError(Exception): pass
class DuplicateEntryTitleError(Exception): pass
class MultipleNodesError(Exception): pass
class NoNodeError(Exception): pass
class NoNameError(Exception): pass
class NoXmllibError(Exception): pass
class XmllibParseError(Exception): pass
class InvalidDocumentError(Exception): pass
